# Code of Conduct for Our Cooperative Open Source Project

## Purpose

Our open-source software project is committed to fostering a cooperative, solidary, welcoming, and collaborative environment for everyone, irrespective of their background. This Code of Conduct applies to everyone who engages with our project on any level, providing guidance to all participants to maintain a safe, positive, and mutually supportive community.

## Values

1. **Cooperation:** We believe in the power of working together. We encourage team efforts, collaborations, and the pooling of resources and knowledge. We understand that our collective intelligence surpasses individual capacities.

2. **Solidarity:** We stand together and support each other. We believe that the success of one is the success of all, and we're committed to helping each other in times of need.

## Expected Behavior

1. **Respect:** Treat all community members with kindness and respect. Remember that everyone is contributing their time and expertise to improve the project. 
2. **Patience:** Demonstrate patience and understanding towards others, especially when discussing complex or controversial issues.
3. **Constructive Criticism:** Provide feedback that is constructive and helpful. This includes being open to receiving such feedback. 
4. **Openness:** All trascendental technical debates should take place in the project's repository issues, ensuring everyone has the chance to contribute to the discussion.
5. **Inclusivity:** Promote an inclusive and supportive environment. Every contribution is important and should be recognized.
6. **Transparency:** *If it is not in the repository, it has not happened*, or, in other words, the single source of truth is the repository and its issues. Document everything, including, e.g, writting down discussions that have been held elsewhere.

## Unacceptable Behavior

1. **Personal Attacks:** Any form of personal attacks, trolling, or insulting/derogatory comments are not tolerated. 
2. **Harassment:** This includes, but is not limited to, harassment based on race, gender, sexual orientation, disability, age, or religion.
3. **Disruptive Behavior:** Any disruptive behavior that derails technical discussions or demeans others' contributions is unacceptable.
4. **Public or Private Harassment:** Harassment in any form, either online or offline, direct or indirect, is not allowed.
5. **Other Unethical or Unprofessional Conduct:** Any other conduct which could reasonably be considered inappropriate in a cooperative professional setting.

## Reporting and Enforcement

Violations of this Code of Conduct will result in actions aimed at facilitating conflict resolution and repairing any harm caused. These measures will be adapted according to the evolution of the situation and the process. Actions could range from mediation between involved parties to temporary or permanent restrictions from contributing. If you witness or experience any violations, please report them by sending an email to cures@coopdevs.org. 

Our project maintainers will review and investigate all reports, and then take action that is deemed necessary and appropriate based on the progress and nature of the process. We are committed to ensuring that all our community members feel safe and respected, and we appreciate your help in maintaining this environment.

---

This Code of Conduct is a living document, and we are committed to it for the project's health and community. We will continuously review and update it as our community grows and learns.

We believe in the quality and potential of everyone who contributes to our project. Adhering to this Code of Conduct helps ensure that our community is welcoming, inclusive, cooperative, solidary, and respectful to all. We expect everyone to help make this a place where everyone feels safe and welcomed.
